//////////////////////////////////////////////////////////////////////
// Heap.h
//

extern void  Init  (char *pc, unsigned size);
// Initialize the heap
// There are no alignment restrictions on pc

extern char *Malloc(unsigned size);
// allocate a block of size bytes
// returns the address of the block on success; 0 on failure
// the block will be aligned on a kAlign byte boundary

extern void  Free  (char *pc);
// free an allocated block

extern void  Stats ();
// print summary statistics about the heap

extern void  Check ();
// run an integrity check on the heap

extern void  Dump  ();
// dump all the Block structs in the heap
